package SLA4;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

import com.metamaxim.modelscope.callbacks.Event;
import com.metamaxim.modelscope.callbacks.EventValueAttribute;
import com.metamaxim.modelscope.callbacks.Instance;

public class AddRequestReplyMeasurement extends Event {

	public final static String DATETIMEFORMAT = "dd-MM-yyyy HH:mm:ss.sss";
	
	private final static SimpleDateFormat sdf = new SimpleDateFormat(DATETIMEFORMAT);
	
	/**
	 * Automatically assign a time stamp to the measurement.
	 * So we know when the measurement was made.
	 * This implicitly identifies the period of time for which the measurement is valid.
	 * 
	 * @param attribute
	 * @param selected
	 * @param subscript
	 */
	public void setTimeStamp(EventValueAttribute attribute, Instance selected, String subscript)
	{
		attribute.setString(sdf.format(new Date(System.currentTimeMillis())));
	}

	/**
	 * Utility method to parse time stamp string back into milliseconds.
	 * 
	 * @param timestamp
	 * @return
	 */
	public static long getTimeMillis(String timestamp)
	{
		try {
			return sdf.parse(timestamp).getTime();
		} catch (ParseException e) {
			e.printStackTrace();
		}
		
		return 0l;
	}
}
