package SLA4;

public class DataTypeAbstractionDouble extends DataTypeAbstraction {

	@Override
	public Object cast(Object value) {
		if (value instanceof Double)
			return value;
		
		if (value instanceof Number)
			return new Double(((Number)value).doubleValue());
		
		return this.convert(value.toString());
	}

	@Override
	public Object convert(String value) {
		return new Double(value);
	}

	@Override
	public Object getLowest() {
		return Double.NEGATIVE_INFINITY;
	}

	@Override
	public Object getHighest() {
		return Double.POSITIVE_INFINITY;
	}

	@Override
	public boolean ge(Object o1, Object o2) {
		return (Double)cast(o1) >= (Double)cast(o2);
	}

	@Override
	public boolean le(Object o1, Object o2) {
		return (Double)cast(o1) <= (Double)cast(o2);
	}

	@Override
	public Object add(Object o1, Object o2) {
		return (Double)cast(o1) + (Double)cast(o2);
	}

	@Override
	public boolean gt(Object o1, Object o2) {
		return (Double)cast(o1) > (Double)cast(o2);
	}
	
	@Override
	public boolean lt(Object o1, Object o2) {
		return (Double)cast(o1) < (Double)cast(o2);
	}

	@Override
	public Object mul(Object o1, Object o2) {
		return (Double)cast(o1) * (Double)cast(o2);
	}

	@Override
	public Object div(Object o1, Object o2) {
		return (Double)cast(o1) / (Double)cast(o2);
	}

	@Override
	public String toString(Object o1) {
		return Double.toString((Double)cast(o1));
	}
}
