package SLA4;

import com.metamaxim.modelscope.callbacks.Behaviour;

public class PenaltyCalculator extends Behaviour {
	
	/**
	 * Returns a descriptive text for the payable penalty.
	 * 
	 * @return
	 */
	public String getCaption()
	{
		int penalty = getPayablePenalty();
		String sPenalty = String.format("%,.2f", (float)getPayablePenalty()/100f);
		return penalty == 0 ? "No penalty" : "Payable penalty " + sPenalty; 
	}
	
	/**
	 * Returns the payable penalty as an attribute value
	 * @return
	 */
	public int getPayablePenalty()
	{
		boolean violated = this.getBoolean("Violation");
		if (! violated)
			return 0;
		
		return this.getInstance("SLO").getCurrency("Penalty Value");
	}
}
