package SLA4;

/**
 * Object to compare a value with a specified range.
 * 
 * The low value above which there is no violation
 * Syntax: [>|=]9+[.9+] | <Empty>
 * Examples:
 *				  10.0 implies raw value >= 10.0
 *				 =10.0 implies raw value >= 10.0
 *				 >10.0 implies raw value > 10.0
 *				<Empty> implies the lowest possible value for a double
 *		
 *	The high value below which there is no violation
 *	Syntax: [<|=]9+[.9+] | <Empty>
 *	Examples:
 *				  10.0 implies raw value <= 10.0
 *				 =10.0 implies raw value <= 10.0
 *				 <10.0 implies raw value < 10.0
 *				<Empty> implies the highest possible value for a double
 *
 * @author Cor Hofman
 *
 */
public class RangeInteger extends Range {

	/**
	 *  Create the range object.
	 *  
	 * @param sLow
	 * @param sHigh
	 */
	public RangeInteger(String sLow, String sHigh)
	{
		super(sLow, sHigh);
	}
	
	@Override
	protected DataTypeAbstraction createDta() {
		return new DataTypeAbstractionInteger();
	}	

}
