package SLA4;

/**
 * Object to compare a value with a specified range.
 * 
 * The low value above which there is no violation
 * Syntax: [>|=]<Period> | <Empty>
 * Examples:
 *				  <Period> implies raw value >= <Period>
 *				 =<Period> implies raw value >= <Period>
 *				 ><Period> implies raw value > <Period>
 *				<Empty> implies the lowest possible value for a Period (being 0 milliseconds)
 *		
 *	The high value below which there is no violation
 *	Syntax: [<|=]<Period> | <Empty>
 *	Examples:
 *				  <Period> implies raw value <= <Period>
 *				 =<Period> implies raw value <= <Period>
 *				 <<Period>implies raw value < <Period>
 *				<Empty> implies the highest possible value for a double
 *
 * @author Cor Hofman
 *
 */
public class RangePeriod extends RangeInteger {

	/**
	 *  Create the range for a Period.
	 *  
	 * @param sLow
	 * @param sHigh
	 */
	public RangePeriod(String sLow, String sHigh)
	{
		super(sLow, sHigh);
	}
	
	@Override
	protected DataTypeAbstraction createDta() {
		return new DataTypeAbstractionPeriod();
	}	
}
