package SLA4;

import com.metamaxim.modelscope.callbacks.Behaviour;
import com.metamaxim.modelscope.callbacks.Event;
import com.metamaxim.modelscope.callbacks.Instance;

public class SLAContractMonitor extends Behaviour {
	
	public void processStartMonitoring(Event event, String subscript)
	{
		Instance sla = event.getInstance("SLA Contract");
		Instance consumer = sla.getInstance("Consumer");
		Instance service  = sla.getInstance("Service");
		
		this.setString("SLA Monitor Name", service.getString("Service Name") + " monitor for " + consumer.getString("Consumer Name"));
	}

	public String getSLOMonitorCollection()
	{
		StringBuffer sb = new StringBuffer();
		int i = 0;

		//
		//	Collect all the captions for every SLO type available within this SLA.
		//
		for (String sloMonitorType: SLOMonitorTypes.getTypes())
		{
			String sloAttributeName = SLOMonitorTypes.getSloAttribute(sloMonitorType);

			//
			//	Get the SLO caption of every SLO found to be part of this SLA
			//
			for (Instance sloMonitor: this.selectByRef(sloMonitorType, "SLA Contract Monitor"))
			{
				if (i > 0)
					sb.append(";");

				Instance slo = sloMonitor.getInstance("SLO");
				sb.append(sloMonitor.getString("SLO Monitor Name") + ": " + sloMonitor.getString("Indicator Caption") + 
						" -> " + sloMonitor.getString("Violation Caption") + 
						" -> " + sloMonitor.getString("Penalty Caption"));

				i++;				
			}
		}
		
		//
		//	Return a string with SLO caption separated by a semi-colon.
		//
		return sb.toString();
	}
	
	public String getSLOMonitor1()
	{
		return getSLOMonitor(0);
	}
	public String getSLOMonitor2()
	{
		return getSLOMonitor(1);
	}
	public String getSLOMonitor3()
	{
		return getSLOMonitor(2);
	}
	public String getSLOMonitor4()
	{
		return getSLOMonitor(3);
	}
	public String getSLOMonitor5()
	{
		return getSLOMonitor(4);
	}
	public String getSLOMonitor6()
	{
		return getSLOMonitor(5);
	}
	public String getSLOMonitor7()
	{
		return getSLOMonitor(6);
	}
	public String getSLOMonitor8()
	{
		return getSLOMonitor(7);
	}
	public String getSLOMonitor9()
	{
		return getSLOMonitor(8);
	}
	public String getSLOMonitor10()
	{
		return getSLOMonitor(9);
	}
	public String getSLOMonitor11()
	{
		return getSLOMonitor(10);
	}
	public String getSLOMonitor12()
	{
		return getSLOMonitor(11);
	}
	
	/**
	 * Select the SLO caption of the SLO associated with the specified index.
	 *  
	 * @param i
	 * @return
	 */
	private String getSLOMonitor(int i)
	{
		String [] slos = this.getSLOMonitorCollection().split(";");
		if (slos.length == 0 || slos.length <= i)
			return "";
		
		return slos[i].trim();
	}

}
