package SLA4;

import com.metamaxim.modelscope.callbacks.Event;

public class SLOSimpleResponseMonitor extends AbstractSLOMonitor {

	/**
	 * Assign a generated SLO Monitor Name and specify the attributes of the RequestReplye Measurement from which measurements
	 * must be taken.
	 * 
	 * @param event
	 * @param subscript
	 */
	public void processStartMonitoringSimpleResponse(Event event, String subscript)
	{
		super.processStartMonitoring(event, subscript);
		this.setString("Measurement Attribute", "Response Time");
	}
	
	/**
	 * Return a caption for the indicator value.
	 */
	public String getIndicatorCaption()
	{
		return this.getString("Indicator Time", "Caption");
	}
	
	/**
	 * Return a caption of the violation condition.
	 * @return
	 */
	public String getViolationCaption()
	{
		return this.getString("Violation Detector Time", "Caption");
	}
	
	/**
	 * Return a caption of the penalty.
	 * @return
	 */
	public String getPenaltyCaption()
	{
		return this.getString("Penalty Calculator", "Caption");
	}
}
